device_type: dragonboard-820c
job_name: lab-health-dragonboard-820c
timeouts:
  job:
    minutes: 90
  action:
    minutes: 15
  connection:
    minutes: 2
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava-team/refactoring.git
  path: health-checks/dragonboard-820c.yaml

protocols:
  lava-lxc:
    name: lxc-db820c
    template: debian
    distribution: debian
    release: stretch
    verbose: true

actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 15
    to: lxc
    packages:
    - wget
    - unzip

- boot:
    namespace: tlxc
    prompts:
    - 'root@(.*):/#'
    timeout:
      minutes: 5
    method: lxc

- test:
    namespace: tlxc
    timeout:
      minutes: 10
    definitions:
    - from: inline
      name: install-google-fastboot
      path: inline/install-google-fastboot.yaml
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: install-fastboot
          description: Install fastboot provided by google
        run:
          steps:
          - wget https://dl.google.com/android/repository/platform-tools_r26.0.0-linux.zip
          - unzip platform-tools_r26.0.0-linux.zip
          - ln -s `pwd`/platform-tools/fastboot /usr/bin/fastboot
          - ln -s `pwd`/platform-tools/adb /usr/bin/adb
          - fastboot --version

- deploy:
    timeout:
      minutes: 30
    namespace: db820c
    to: fastboot
    images:
      "partition:0":
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/rescue/34/dragonboard-820c-bootloader-ufs-linux-34/gpt_both0.bin
      rootfs:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/debian/180/linaro-buster-developer-dragonboard-820c-180.img.gz
        compression: gz
        apply-overlay: true
      boot:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/debian/180/boot-linaro-buster-dragonboard-820c-180.img.gz
        compression: gz

- boot:
    namespace: db820c
    prompts:
    - 'root@linaro-developer:~#'
    timeout:
      minutes: 15
    method: fastboot

- test:
    namespace: db820c
    timeout:
      minutes: 5
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-db-820c

- test:
    namespace: tlxc
    timeout:
      minutes: 5
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-lxc

- deploy:
    timeout:
      minutes: 15
    namespace: db820c
    to: fastboot
    images:
      "partition:0":
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/rescue/34/dragonboard-820c-bootloader-ufs-aosp-34/gpt_both0.bin
      boot:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/aosp-master/80/boot.img.xz
        compression: xz
      system:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/aosp-master/80/system.img.xz
        compression: xz
      vendor:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/aosp-master/80/vendor.img
      cache:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/aosp-master/80/cache.img.xz
        compression: xz
      userdata:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard820c/linaro/aosp-master/80/userdata.img.xz
        compression: xz
    protocols:
      lava-lxc:
      - action: fastboot-deploy
        request: pre-power-command
        timeout:
          minutes: 2

- boot:
    namespace: db820c
    prompts:
    - console:/
    timeout:
      minutes: 15
    method: fastboot
